// listView.h: interface for the ClistView class.
//
//////////////////////////////////////////////////////////////////////
#include <commctrl.h>

#if !defined(AFX_LISTVIEW_H__E03DD901_8FF2_11D5_9AB9_00D04C390250__INCLUDED_)
#define AFX_LISTVIEW_H__E03DD901_8FF2_11D5_9AB9_00D04C390250__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// type valeur de retour de la fonction Notify
typedef enum
{
	nothing = 0 , getDispInfo  , itemChanged
} ENotify;

/* **********************************************************************************
	Ajouter la comctl32.lib dans les link
********************************************************************************** */

class CListView
{
	public:
		CListView			(HINSTANCE hInstance,HWND hwndMaster,int x,int y,int xy,int dy);
		CListView			(HWND hwndListView);
		virtual ~CListView	();

		ENotify  Notify				(LPARAM lParam);
		BOOL	 AddColumn			(char *nameHead,int size);
		void	 SetNbCount			(int nbCount);
		void	 IncCount			();
		void	 DecCount			();
		void	 Refresh			();

		int		 GetLine			();
		int		 GetColumn			();
		int		 GetLineSelected	();
		int		 GetColumnSelected	();

		void	 SetItemText		(char *text);

	private:
		int			m_nbCount;
		HWND		m_hwndListView;
		HWND		m_hwndMaster;
		HINSTANCE	m_hInst;
		int			m_nbColumn;

		int			m_line;
		int			m_column;
		int			m_lineSelected;
		int			m_columnSelected;
		char *		m_itemText;
};

#endif // !defined(AFX_LISTVIEW_H__E03DD901_8FF2_11D5_9AB9_00D04C390250__INCLUDED_)
